library hakkit.hakk.builder.test;

import 'package:unittest/unittest.dart';
import 'package:hakk_builder/advanced.dart';
import 'package:unittest/compact_vm_config.dart';
import 'package:args/args.dart';
import 'basic_test.dart';

part 'src/advanced_test.dart';


main(List<String> args){
  final parser = new ArgParser();
  parser.addOption('mode', allowed: ['minimal', 'verbose'], defaultsTo: 'verbose');
  final results = parser.parse(args);

  if (results['mode'] == 'minimal'){
    unittestConfiguration = new CompactVMConfiguration();
  }
  
  group('hakk_builder -', (){
    basic_tests();
    advanced_tests();
  });
}